# $Revision: 1.58.2.1 $, $Date: 2007/01/22 21:36:15 $
#
# Conditional build:
%bcond_with	apidocs		# API documentation (currently broken)
%bcond_without	baudboy		# use lockdev library instead of baudboy
%bcond_with	canon20d	# Canon EOS 20D experimental code 
%bcond_with	canonupload	# Canon upload experimental code 
#
Summary:	Libraries for digital cameras
Summary(es):	Foto GNU (gphoto) Release 2
Summary(pl):	Biblioteki obsugi kamer cyfrowych
Summary(pt_BR):	GNU Photo - programa GNU para cmeras digitais
Name:		libgphoto2
Version:	2.3.1
Release:	3
License:	LGPL
Group:		Applications
Source0:	http://dl.sourceforge.net/gphoto/%{name}-%{version}.tar.bz2
# Source0-md5:	37f85e34e5b6031ddf6cac8b8782ac4f
Patch0:		%{name}-pmake.patch
URL:		http://www.gphoto.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	mDNSResponder-devel
BuildRequires:	dbus-devel >= 0.31
BuildRequires:	gettext-devel >= 0.14.1
%{?with_apidocs:BuildRequires:	gtk-doc >= 0.10}
BuildRequires:	hal-devel >= 0.5.0
BuildRequires:	libexif-devel >= 1:0.6.13
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libusb-devel >= 0.1.5
%{?with_baudboy:BuildRequires:	lockdev-baudboy-devel}
%{!?with_baudboy:BuildRequires:	lockdev-devel >= 1.0.2}
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	libexif >= 1:0.6.13
Provides:	gphoto2-lib
Obsoletes:	gphoto2-lib
Conflicts:	gphoto2 < 2.1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# PKGCONFIG changed during configures
%undefine	configure_cache

%description
Libraries for digital cameras.

%description -l es
Foto GNU (gphoto).

%description -l pl
Biblioteki obsugi kamer cyfrowych.

%description -l pt_BR
O programa gphoto faz parte do projeto GNOME e  uma interface para
uma grande variedade de cmeras fotogrficas digitais.

%package devel
Summary:	Header files for libgphoto2
Summary(es):	Archivos de deserrolo de libgphoto2
Summary(pl):	Pliki nagwkowe dla libgphoto2
Summary(pt_BR):	Arquivos de desenvolvimento do libgphoto2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_apidocs:Requires:	gtk-doc-common}
Requires:	libexif-devel >= 1:0.6.13
Requires:	libltdl-devel
Requires:	libusb-devel
%{!?with_baudboy:Requires:	lockdev-devel}
Obsoletes:	gphoto2-lib-devel
Obsoletes:	gphoto2-devel

%description devel
Header files for libgphoto2.

%description devel -l es
Archivos de desarrolo de libgphoto2.

%description devel -l pl
Pliki nagwkowe dla libgphoto2.

%description devel -l pt_BR
Arquivos de desenvolvimento do libgphoto2.

%package static
Summary:	Static version of libgphoto2
Summary(es):	Archivos de deserrolo de libgphoto2
Summary(pl):	Statyczna wersja libgphoto2
Summary(pt_BR):	Arquivos de desenvolvimento do libgphoto2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	gphoto2-lib-static
Obsoletes:	gphoto2-static

%description static
Static version of libgphoto2.

%description static -l es
Archivos de desarrolo de libgphoto2.

%description static -l pl
Statyczna wersja libgphoto2.

%description static -l pt_BR
Arquivos de desenvolvimento do libgphoto2.

%package port-serial
Summary:	Serial port plugin for libgphoto2
Summary(pl):	Wtyczka obsugi portu szeregowego dla libgphoto2
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_baudboy:Requires:	lockdev-baudboy}

%description port-serial
Serial port plugin for libgphoto2, needed to access cameras connected
through serial port.

%description port-serial -l pl
Wtyczka obsugi portu szeregowego dla libgphoto2, potrzebna do
wsppracy z aparatami podczonymi przez port szeregowy.

%prep
%setup -q
%patch0 -p1

%build
# supplied libtool is broken (relink)
%{__libtoolize}
%{__aclocal} -I libgphoto2_port/m4
%{__autoconf}
%{__automake}
cd libgphoto2_port
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
cd ..

CFLAGS="%{rpmcflags}%{?with_canon20d: -DCANON_EXPERIMENTAL_20D}%{?with_canonupload: -DCANON_EXPERIMENTAL_UPLOAD}"
%configure \
	%{!?with_baudboy:--disable-baudboy} \
	--disable-resmgr \
	--disable-ttylock \
	%{?with_apidocs:--enable-docs} \
	%{?with_apidocs:--with-html-dir=%{_gtkdocdir}}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir} \
	udevscriptdir=%{_libdir}/libgphoto2 \
	%{?with_apidocs:apidocdir=%{_gtkdocdir}}

%find_lang %{name} --all-name

# prepare docs
install -d docs
cp --parents \
	camlibs/adc65/{Changelog,README.adc65,TODO} \
	camlibs/agfa-cl20/{ChangeLog,RANDOM,README.agfa-cl20,STATUS} \
	camlibs/aox/{ChangeLog,README.aox} \
	camlibs/barbie/README.barbie \
	camlibs/canon/{ChangeLog,README.canon,TODO} \
	camlibs/casio/{ChangeLog,PROTOCOL.txt} \
	camlibs/clicksmart310/README.clicksmart310 \
	camlibs/digigr8/{ChangeLog,README.digigr8} \
	camlibs/digita/ChangeLog \
	camlibs/dimera/{CREDITS,ChangeLog,Protocol.txt,TODO} \
	camlibs/directory/ChangeLog \
	camlibs/enigma13/{ChangeLog,README.enigma13,STATUS,protocol.txt} \
	camlibs/fuji/{ChangeLog,PROTOCOL} \
	camlibs/gsmart300/{ChangeLog,README.gsmart300} \
	camlibs/hp215/ChangeLog \
	camlibs/iclick/{ChangeLog,README.iclick} \
	camlibs/jamcam/{ChangeLog,README.jamcam} \
	camlibs/jd11/{ChangeLog,jd11.html} \
	camlibs/kodak/CAMERAS \
	camlibs/kodak/dc120/ChangeLog \
	camlibs/kodak/dc210/{ChangeLog,TODO} \
	camlibs/kodak/dc240/ChangeLog \
	camlibs/kodak/dc3200/ChangeLog \
	camlibs/kodak/ez200/Protocol.txt \
	camlibs/konica/{ChangeLog,EXPERTS,README.konica,TODO} \
	camlibs/largan/lmini/{ChangeLog,README.largan-lmini} \
	camlibs/lg_gsm/{ChangeLog,README.lg_gsm} \
	camlibs/mars/{ChangeLog,README.mars,protocol.txt} \
	camlibs/minolta/NEWER_MINOLTAS \
	camlibs/minolta/dimagev/README.minolta-dimagev \
	camlibs/mustek/{AUTHOR,ChangeLog,README.mustek} \
	camlibs/panasonic/{ChangeLog,README.panasonic} \
	camlibs/panasonic/coolshot/{ChangeLog,README.panasonic-coolshot} \
	camlibs/panasonic/l859/{ChangeLog,README.panasonic-l859,TODO} \
	camlibs/pccam300/{ChangeLog,README.pccam300} \
	camlibs/pccam600/{ChangeLog,README.pccam600} \
	camlibs/polaroid/{ChangeLog,*.html} \
	camlibs/ptp2/{ChangeLog,PTPIP.TXT,README.ptp2,TODO,ptpip.html} \
	camlibs/ricoh/{ChangeLog,g3.txt} \
	camlibs/samsung/ChangeLog \
	camlibs/sierra/{ChangeLog,PROTOCOL} \
	camlibs/sipix/{ChangeLog,*.txt,web2.html} \
	camlibs/smal/{ChangeLog,README.smal} \
	camlibs/sonix/{ChangeLog,README.sonix} \
	camlibs/sonydscf1/{ChangeLog,README.sonydscf1,todo} \
	camlibs/sonydscf55/{ChangeLog,TODO} \
	camlibs/soundvision/{ChangeLog,README.soundvision} \
	camlibs/spca50x/{ChangeLog*,README.spca50x} \
	camlibs/sq905/{ChangeLog,README.913C,README.sq905,TODO} \
	camlibs/stv0674/{Changelog,Protocol} \
	camlibs/stv0680/{680_comm*,CREDITS,ChangeLog,README.pdf} \
	camlibs/sx330z/ChangeLog \
	camlibs/toshiba/pdrm11/README.toshiba-pdrm11 \
	libgphoto2_port/{AUTHORS,ChangeLog} \
	libgphoto2_port/disk/ChangeLog \
	docs

rm -f $RPM_BUILD_ROOT%{_libdir}/libgphoto2/*/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libgphoto2_port/*/*.a
# kill unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libgphoto{2,2_port}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README TESTERS docs/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

# camera plugins
%dir %{_libdir}/libgphoto2
%dir %{_libdir}/libgphoto2/%{version}
%attr(755,root,root) %{_libdir}/libgphoto2/%{version}/*.so
%{_libdir}/libgphoto2/%{version}/*.la

# port plugins
%dir %{_libdir}/libgphoto2_port
%dir %{_libdir}/libgphoto2_port/*
%attr(755,root,root) %{_libdir}/libgphoto2_port/*/disk.so
%attr(755,root,root) %{_libdir}/libgphoto2_port/*/ptpip.so
%attr(755,root,root) %{_libdir}/libgphoto2_port/*/usb.so
%{_libdir}/libgphoto2_port/*/disk.la
%{_libdir}/libgphoto2_port/*/ptpip.la
%{_libdir}/libgphoto2_port/*/usb.la

# utilities
%attr(755,root,root) %{_libdir}/libgphoto2/check-ptp-camera
%attr(755,root,root) %{_libdir}/libgphoto2/print-camera-list

%dir %{_datadir}/libgphoto2
%dir %{_datadir}/libgphoto2/%{version}
%dir %{_datadir}/libgphoto2/%{version}/konica
%{_datadir}/libgphoto2/%{version}/konica/english
%lang(fr) %{_datadir}/libgphoto2/%{version}/konica/french
%lang(de) %{_datadir}/libgphoto2/%{version}/konica/german
%lang(ja) %{_datadir}/libgphoto2/%{version}/konica/japanese
%lang(ko) %{_datadir}/libgphoto2/%{version}/konica/korean
%lang(es) %{_datadir}/libgphoto2/%{version}/konica/spanish

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gphoto2*-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/*.la
%{_includedir}/gphoto2
%{_pkgconfigdir}/*.pc
%{_mandir}/man3/*
%{?with_apidocs:%{_gtkdocdir}/*}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files port-serial
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgphoto2_port/*/serial.so
%{_libdir}/libgphoto2_port/*/serial.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgphoto2.spec,v $
Revision 1.58.2.1  2007/01/22 21:36:15  glen
- merged from HEAD: update to 2.3.1

Revision 1.58  2006/12/18 11:06:18  qboosh
- updated libexif deps (>= 0.6.13), release 2

Revision 1.57  2006/12/09 09:26:31  qboosh
- updated to 2.3.0
- updated pl.po-update,print_dev_list patches
- removed obsolete print_camera_list,dbus patches
- renamed 20d bcond to canon20d, added canonupload bcond

Revision 1.56  2006/11/22 14:27:46  glen
- undefine configure_cache due PKGCONFIG being changed

Revision 1.55  2006/11/20 00:40:22  wrobell
- fixed dbus support according to fixes in libgphoto svn
- rel. 5

Revision 1.54  2006/11/14 10:57:36  qboosh
- -devel R: libltdl-devel

Revision 1.53  2006/08/19 10:54:17  aflinta
 - added dbus patch
 - release 4

Revision 1.52  2006/08/10 20:43:11  freetz
- rel.3 for rebuild with new dbus

Revision 1.51  2006/07/04 15:36:25  bszx
- bcond for EOS 20D experimental code added

Revision 1.50  2006/06/21 18:59:53  qboosh
- updated to 2.2.1
- removed outdated pl.po sources, added pl.po-update patch instead

Revision 1.49  2006/06/20 07:41:10  maciek2w
- rel. 3
- STBR

Revision 1.48  2006/06/19 20:42:45  freetz
- BR: libltdl-devel, rel.2

Revision 1.47  2006/06/18 14:36:58  freetz
- cleanup

Revision 1.46  2006/06/18 14:29:33  freetz
- 2.2.0, removed obsolete exif hack and canon 610 patch, updated file list

Revision 1.45  2006/05/13 16:43:19  arekm
- add la files for camera plugins/port libraries; doesn't work otherwise for me

Revision 1.44  2006/04/21 17:44:19  freetz
- disabled apidocs build by default, reasons: low symbol coverage, broken
  build, no one will to fix this crap, rel.2

Revision 1.43  2006/03/27 19:20:36  freetz
- added fix for Canon A610

Revision 1.42  2006/03/21 13:00:35  wrobell
- merged from DEVEL

Revision 1.41  2006/01/31 11:36:10  adgor
- Look for libexif/exif-ifd.h

Revision 1.40  2006/01/17 19:16:12  qboosh
- separated -port-serial together with lockdev-baudboy dependency
- release 4

Revision 1.39  2006/01/12 22:03:23  freetz
- rel.3

Revision 1.38.2.6  2006/01/31 11:34:49  adgor
- Grrr.. modprobe brain

Revision 1.38.2.5  2006/01/29 21:08:26  adgor
- Look for libexif/exif-ifd.h

Revision 1.38.2.4  2006/01/17 19:19:40  qboosh
- separated -port-serial together with lockdev-baudboy dependency

Revision 1.38.2.3  2006/01/16 19:56:44  qboosh
- update locking configure options

Revision 1.38.2.2  2006/01/09 21:20:37  qboosh
- ac/am versions

Revision 1.38.2.1  2006/01/09 21:02:59  qboosh
- updated to 2.1.99
- updated pl.po for both domains and print_dev_rules patch

Revision 1.38  2006/01/09 18:30:45  qboosh
- added pl.po for libgphoto2 domain

Revision 1.37  2006/01/07 22:11:50  freetz
- add print-udev-rules utility, WIP

Revision 1.36  2005/12/26 19:20:01  qboosh
- added pl.po for libgphoto2_port domain

Revision 1.35  2005/12/26 18:15:59  qboosh
- use baudboy (preferred by configure, doesn't propagate deps unlike liblockdev)
- disable ttylock locking explicitly (tested before lockdev)

Revision 1.34  2005/11/09 18:29:34  adgor
- Renamed bcond (doc -> apidocs)

Revision 1.33  2005/10/30 09:27:10  arekm
- rel 2 (rebuild with new lockdev)

Revision 1.32  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.31  2005/07/07 13:10:36  freetz
- rel.1

Revision 1.30  2005/06/26 12:42:53  freetz
- changloge brain damage typo

Revision 1.29  2005/06/26 12:32:48  freetz
- removed canon A80 fix, removed unpackaged files

Revision 1.28  2005/06/23 21:32:56  freetz
- removed outdated locale-names/canon-file size limit patches

Revision 1.27  2005/06/23 21:25:22  aflinta
- up to version 2.1.6, docs part is incomplete - anyone to finish it?

Revision 1.26  2005/06/03 09:00:28  freetz
- rel.3 - Canon A80 file transfer fix patch added (from Michal Kochanowicz)

Revision 1.25  2005/03/27 16:27:18  havner
- rel 2

Revision 1.24  2005/03/27 16:23:11  marcus
- added doc bcond for build without BR: gtk-doc and tetex
- temporarly fixed unresolved symbol in gphoto2_port

Revision 1.23  2005/01/06 18:07:13  ankry
- reverted

Revision 1.22  2005/01/06 15:29:31  ankry
- rel. 0.1 due to unfinished update; updator pleased to fix it

Revision 1.21  2005/01/06 14:20:13  petec
- updated to 2.1.5

Revision 1.20  2004/09/27 18:53:25  djurban
- rel 5, rebuild ac new exif mkochano

Revision 1.19  2004/08/28 10:22:19  freetz
- added canon-filesizelimit.patch from Michal Kochanowicz, rel.4, STBR

Revision 1.18  2004/08/06 19:24:30  ankry
- rel. 3

Revision 1.17  2004/07/21 14:43:43  qboosh
- added locale-names patch (no->nb), release 2

Revision 1.16  2004/05/30 20:14:02  freetz
- more Rs for devel subpackage
- remove redundant R in static subpackage

Revision 1.15  2004/05/29 15:29:49  freetz
- BR lockdev-devel

Revision 1.14  2004/05/02 09:15:13  adgor
- Strict internal deps

Revision 1.13  2004/01/20 16:33:12  deejay1
- updated to 2.1.4

Revision 1.12  2003/10/23 10:18:45  qboosh
- 2.1.3

Revision 1.11  2003/08/15 18:07:14  qboosh
- "rm missing" is not necessary (automake -f overwrites this file)
- plugins *.la are not necessary - ltdl is not used by default

Revision 1.10  2003/08/14 10:23:06  qboosh
- allow build without mounted /proc

Revision 1.9  2003/08/11 11:35:15  trojan
- updated to 2.1.2

Revision 1.8  2003/08/09 13:03:09  arekm
- rebuild

Revision 1.7  2003/08/01 13:14:53  deejay1
- wrong URL - s/gphoto.net/gphoto.org/

Revision 1.6  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.5  2003/05/25 05:49:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/24 14:58:35  wrobell
- use find_lang with --all-name option
- rpm -bi is possible now (use install -d instead of mkdir)

Revision 1.3  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.2  2003/03/03 18:43:06  juandon
- added pmake.patch

Revision 1.1  2003/01/11 11:52:10  qboosh
- library part moved from gphoto2.spec

Revision 1.15  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.14  2002/10/14 05:35:02  kloczek
- release 8: merge translations from Conectiva.

Revision 1.13  2002/10/09 13:14:28  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/09/22 19:26:07  marcus
- totally removed gphoto2-lib name from desc.
- addedd Provides gphoto2-lib to compatibility
- rel.7.

Revision 1.11  2002/08/30 11:29:43  kloczek
- release 6: added gphoto2-lib-* to Obsoletes.

Revision 1.10  2002/08/30 01:52:03  kloczek
- package renams: gphoto2-lib -> gphoto2, gphoto2-lib-devel -> gphoto2-devel,
  gphoto2-lib-static -> gphoto2-static, gphoto2 -> gphoto2-progs.

Revision 1.9  2002/08/30 01:07:34  kloczek
- updated to 2.1.0 (release 5).

Revision 1.8  2002/06/16 15:02:49  qboosh
- changed _prefix and Group - ghoto2 is not X11 app
  (only libaa, which is placed in /usr/lib, causes libX11 dependancy -
   it's sick and should be changed...)
- new %%doc, some fixes in %%files, added missing dirs
- renamed -static to lib-static (to match lib-devel)
- BR: autoconf, automake
- release 0.6

Revision 1.7  2002/05/21 23:13:24  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/04/30 17:33:08  misiek
- now it's really fixed

Revision 1.5  2002/04/30 15:49:44  misiek
- remove ncurses patch (instead use CPPFLAGS), fix cdk detection, disable am/ac regeneration

Revision 1.4  2002/04/16 19:12:35  mkochano
- Release 0.5.
- lib subpackage does not require main package.
- Removed LD_LIBARAY_PATH setting.
- Added %post{,un} sections.
- bin/*-config moved to -devel subpackage.

Revision 1.3  2002/04/10 17:37:12  mkochano
- Release 0.3.
- lib-devel subpackage Requires: libexif-devel.

Revision 1.2  2002/04/09 22:08:00  mkochano
- Release 0.2.
- Fixed libtool problems (thanks to Blues <blues@pld.org.pl>).
- All files are packages, but probably some of them are in wrong
  subpackages.

Revision 1.1  2002/04/07 14:37:13  mkochano
- Release 0.1.
- Version 2.0.
- It builds, but there are two problems:
  * It is installed in /usr/X11R6. Only program should go there.
    Libraries don't depend on X11. I don't know how to split them.
    Please remember about gphoto2-config.
  * There are errors in build log, which don't stob building, but I
    think they are serious:
    /usr/bin/ld: cannot find -lgphoto2_port
    collect2: ld returned 1 exit status
    libtool: install: error: relink `libgphoto2_port_serial.la' with the above command before installing it
    libtool: install: warning: remember to run `libtool --finish /usr/X11R6/lib/gphoto2_port/0.0.4'
    (there are lots of them).
